csa.h File Reference
`#include "osl/numEffectState.h"`
`#include <vector>`
`#include <string>`
`#include <iosfwd>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

struct | osl::csa::CsaIOError
struct | osl::RecordMinimal
class | osl::csa::CsaFileMinimal
class | osl::csa::CsaString
struct | osl::CsaIOError
class | osl::CsaFileMinimal
class | osl::CsaString

## Namespaces

namespace | osl
namespace | osl::csa
| CSA形式.

## Functions

const Move | osl::csa::strToMove (const std::string &s, const SimpleState &st)
Player | osl::csa::charToPlayer (char c)
const Square | osl::csa::strToPos (const std::string &s)
Ptype | osl::csa::strToPtype (const std::string &s)
const std::string | osl::csa::show (Move)
const std::string | osl::csa::fancyShow (Move)
const std::string | osl::csa::show (Square)
const std::string | osl::csa::show (Ptype)
const std::string | osl::csa::show (Piece)
const std::string | osl::csa::show (Player)
const std::string | osl::csa::show (const Move *first, const Move *last)
const std::string | osl::csa::show (Move, std::string &buf)
const std::string | osl::csa::show (Square, std::string &buf, size_t offset=0)
const std::string | osl::csa::show (Ptype, std::string &buf, size_t offset=0)
const std::string | osl::csa::show (Player, std::string &buf, size_t offset=0)